#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSPageDescriptors = 1232,
  CSSPageRule = 1251,
  CSSPositionTryDescriptors = 1263,
  CSSPositionTryRule = 1289,
  CSSPropertyRule = 1308,
  CSSPseudoElement = 1324,
  CSSRule = 1341,
  CSSRuleList = 1349,
  CSSScopeRule = 1361,
  CSSStartingStyleRule = 1374,
  CSSStyleDeclaration = 1395,
  CSSStyleRule = 1415,
  CSSStyleSheet = 1428,
  CSSSupportsRule = 1442,
  CSSTransition = 1458,
  Cache = 1472,
  CacheStorage = 1478,
  CallbackDebuggerNotification = 1491,
  CanonicalBrowsingContext = 1520,
  CanvasCaptureMediaStream = 1545,
  CanvasGradient = 1570,
  CanvasPattern = 1585,
  CanvasRenderingContext2D = 1599,
  CaretPosition = 1624,
  CaretStateChangedEvent = 1638,
  ChannelMergerNode = 1661,
  ChannelSplitterNode = 1679,
  ChannelWrapper = 1699,
  CharacterData = 1714,
  CheckerboardReportService = 1728,
  ChildProcessMessageManager = 1754,
  ChildSHistory = 1781,
  ChromeMessageBroadcaster = 1795,
  ChromeMessageSender = 1820,
  ChromeNodeList = 1840,
  ChromeUtils = 1855,
  ChromeWorker = 1867,
  Client = 1880,
  Clients = 1887,
  Clipboard = 1895,
  ClipboardEvent = 1905,
  ClipboardItem = 1920,
  ClonedErrorHolder = 1934,
  CloseEvent = 1952,
  CommandEvent = 1963,
  Comment = 1976,
  CompositionEvent = 1984,
  CompressionStream = 2001,
  ConsoleInstance = 2019,
  ConstantSourceNode = 2035,
  ContentFrameMessageManager = 2054,
  ContentProcessMessageManager = 2081,
  ContentVisibilityAutoStateChangeEvent = 2110,
  ConvolverNode = 2148,
  CountQueuingStrategy = 2162,
  CreateOfferRequest = 2183,
  Credential = 2202,
  CredentialsContainer = 2213,
  Crypto = 2234,
  CryptoKey = 2241,
  CustomElementRegistry = 2251,
  CustomEvent = 2273,
  CustomStateSet = 2285,
  DOMException = 2300,
  DOMImplementation = 2313,
  DOMLocalization = 2331,
  DOMMatrix = 2347,
  DOMMatrixReadOnly = 2357,
  DOMParser = 2375,
  DOMPoint = 2385,
  DOMPointReadOnly = 2394,
  DOMQuad = 2411,
  DOMRect = 2419,
  DOMRectList = 2427,
  DOMRectReadOnly = 2439,
  DOMStringList = 2455,
  DOMStringMap = 2469,
  DOMTokenList = 2482,
  DataTransfer = 2495,
  DataTransferItem = 2508,
  DataTransferItemList = 2525,
  DebuggerNotification = 2546,
  DebuggerNotificationObserver = 2567,
  DecompressionStream = 2596,
  DedicatedWorkerGlobalScope = 2616,
  DelayNode = 2643,
  DeprecationReportBody = 2653,
  DeviceAcceleration = 2675,
  DeviceLightEvent = 2694,
  DeviceMotionEvent = 2711,
  DeviceOrientationEvent = 2729,
  DeviceRotationRate = 2752,
  Directory = 2771,
  Document = 2781,
  DocumentFragment = 2790,
  DocumentL10n = 2807,
  DocumentTimeline = 2820,
  DocumentType = 2837,
  DominatorTree = 2850,
  DragEvent = 2864,
  DynamicsCompressorNode = 2874,
  EXT_blend_minmax = 2897,
  EXT_color_buffer_float = 2914,
  EXT_color_buffer_half_float = 2937,
  EXT_depth_clamp = 2965,
  EXT_disjoint_timer_query = 2981,
  EXT_float_blend = 3006,
  EXT_frag_depth = 3022,
  EXT_sRGB = 3037,
  EXT_shader_texture_lod = 3046,
  EXT_texture_compression_bptc = 3069,
  EXT_texture_compression_rgtc = 3098,
  EXT_texture_filter_anisotropic = 3127,
  EXT_texture_norm16 = 3158,
  Element = 3177,
  ElementInternals = 3185,
  EncodedAudioChunk = 3202,
  EncodedVideoChunk = 3220,
  ErrorEvent = 3238,
  Event = 3249,
  EventCallbackDebuggerNotification = 3255,
  EventCounts = 3289,
  EventSource = 3301,
  EventTarget = 3313,
  Exception = 3325,
  ExtendableEvent = 3335,
  ExtendableMessageEvent = 3351,
  ExtensionAlarms = 3374,
  ExtensionBrowser = 3390,
  ExtensionBrowserSettings = 3407,
  ExtensionBrowserSettingsColorManagement = 3432,
  ExtensionDns = 3472,
  ExtensionEventManager = 3485,
  ExtensionMockAPI = 3507,
  ExtensionPort = 3524,
  ExtensionProxy = 3538,
  ExtensionRuntime = 3553,
  ExtensionScripting = 3570,
  ExtensionSetting = 3589,
  ExtensionTest = 3606,
  External = 3620,
  FeaturePolicy = 3629,
  FeaturePolicyViolationReportBody = 3643,
  FetchEvent = 3676,
  FetchObserver = 3687,
  File = 3701,
  FileList = 3706,
  FileReader = 3715,
  FileReaderSync = 3726,
  FileSystem = 3741,
  FileSystemDirectoryEntry = 3752,
  FileSystemDirectoryHandle = 3777,
  FileSystemDirectoryHandle_AsyncIterator = 3803,
  FileSystemDirectoryIterator = 3843,
  FileSystemDirectoryReader = 3871,
  FileSystemEntry = 3897,
  FileSystemFileEntry = 3913,
  FileSystemFileHandle = 3933,
  FileSystemHandle = 3954,
  FileSystemSyncAccessHandle = 3971,
  FileSystemWritableFileStream = 3998,
  Flex = 4027,
  FlexItemValues = 4032,
  FlexLineValues = 4047,
  FluentBundle = 4062,
  FluentBundleAsyncIterator = 4075,
  FluentBundleIterator = 4101,
  FluentPattern = 4122,
  FluentResource = 4136,
  FocusEvent = 4151,
  FontFace = 4162,
  FontFaceSet = 4171,
  FontFaceSetIterator = 4183,
  FontFaceSetLoadEvent = 4203,
  FormData = 4224,
  FormData_Iterator = 4233,
  FormDataEvent = 4251,
  FragmentDirective = 4265,
  FrameCrashedEvent = 4283,
  FrameLoader = 4301,
  GPU = 4313,
  GPUAdapter = 4317,
  GPUAdapterInfo = 4328,
  GPUBindGroup = 4343,
  GPUBindGroupLayout = 4356,
  GPUBuffer = 4375,
  GPUBufferUsage = 4385,
  GPUCanvasContext = 4400,
  GPUColorWrite = 4417,
  GPUCommandBuffer = 4431,
  GPUCommandEncoder = 4448,
  GPUCompilationInfo = 4466,
  GPUCompilationMessage = 4485,
  GPUComputePassEncoder = 4507,
  GPUComputePipeline = 4529,
  GPUDevice = 4548,
  GPUDeviceLostInfo = 4558,
  GPUError = 4576,
  GPUInternalError = 4585,
  GPUMapMode = 4602,
  GPUOutOfMemoryError = 4613,
  GPUPipelineLayout = 4633,
  GPUQuerySet = 4651,
  GPUQueue = 4663,
  GPURenderBundle = 4672,
  GPURenderBundleEncoder = 4688,
  GPURenderPassEncoder = 4711,
  GPURenderPipeline = 4732,
  GPUSampler = 4750,
  GPUShaderModule = 4761,
  GPUShaderStage = 4777,
  GPUSupportedFeatures = 4792,
  GPUSupportedLimits = 4813,
  GPUTexture = 4832,
  GPUTextureUsage = 4843,
  GPUTextureView = 4859,
  GPUUncapturedErrorEvent = 4874,
  GPUValidationError = 4898,
  GainNode = 4917,
  Gamepad = 4926,
  GamepadAxisMoveEvent = 4934,
  GamepadButton = 4955,
  GamepadButtonEvent = 4969,
  GamepadEvent = 4988,
  GamepadHapticActuator = 5001,
  GamepadLightIndicator = 5023,
  GamepadPose = 5045,
  GamepadServiceTest = 5057,
  GamepadTouch = 5076,
  Geolocation = 5089,
  GeolocationCoordinates = 5101,
  GeolocationPosition = 5124,
  GeolocationPositionError = 5144,
  GetUserMediaRequest = 5169,
  GleanBoolean = 5189,
  GleanCategory = 5202,
  GleanCounter = 5216,
  GleanCustomDistribution = 5229,
  GleanDatetime = 5253,
  GleanDenominator = 5267,
  GleanEvent = 5284,
  GleanImpl = 5295,
  GleanLabeled = 5305,
  GleanMemoryDistribution = 5318,
  GleanMetric = 5342,
  GleanNumerator = 5354,
  GleanObject = 5369,
  GleanPingsImpl = 5381,
  GleanQuantity = 5396,
  GleanRate = 5410,
  GleanString = 5420,
  GleanStringList = 5432,
  GleanText = 5448,
  GleanTimespan = 5458,
  GleanTimingDistribution = 5472,
  GleanUrl = 5496,
  GleanUuid = 5505,
  Grid = 5515,
  GridArea = 5520,
  GridDimension = 5529,
  GridLine = 5543,
  GridLines = 5552,
  GridTrack = 5562,
  GridTracks = 5572,
  HTMLAllCollection = 5583,
  HTMLAnchorElement = 5601,
  HTMLAreaElement = 5619,
  HTMLAudioElement = 5635,
  HTMLBRElement = 5652,
  HTMLBaseElement = 5666,
  HTMLBodyElement = 5682,
  HTMLButtonElement = 5698,
  HTMLCanvasElement = 5716,
  HTMLCollection = 5734,
  HTMLDListElement = 5749,
  HTMLDataElement = 5766,
  HTMLDataListElement = 5782,
  HTMLDetailsElement = 5802,
  HTMLDialogElement = 5821,
  HTMLDirectoryElement = 5839,
  HTMLDivElement = 5860,
  HTMLDocument = 5875,
  HTMLElement = 5888,
  HTMLEmbedElement = 5900,
  HTMLFieldSetElement = 5917,
  HTMLFontElement = 5937,
  HTMLFormControlsCollection = 5953,
  HTMLFormElement = 5980,
  HTMLFrameElement = 5996,
  HTMLFrameSetElement = 6013,
  HTMLHRElement = 6033,
  HTMLHeadElement = 6047,
  HTMLHeadingElement = 6063,
  HTMLHtmlElement = 6082,
  HTMLIFrameElement = 6098,
  HTMLImageElement = 6116,
  HTMLInputElement = 6133,
  HTMLLIElement = 6150,
  HTMLLabelElement = 6164,
  HTMLLegendElement = 6181,
  HTMLLinkElement = 6199,
  HTMLMapElement = 6215,
  HTMLMarqueeElement = 6230,
  HTMLMediaElement = 6249,
  HTMLMenuElement = 6266,
  HTMLMetaElement = 6282,
  HTMLMeterElement = 6298,
  HTMLModElement = 6315,
  HTMLOListElement = 6330,
  HTMLObjectElement = 6347,
  HTMLOptGroupElement = 6365,
  HTMLOptionElement = 6385,
  HTMLOptionsCollection = 6403,
  HTMLOutputElement = 6425,
  HTMLParagraphElement = 6443,
  HTMLParamElement = 6464,
  HTMLPictureElement = 6481,
  HTMLPreElement = 6500,
  HTMLProgressElement = 6515,
  HTMLQuoteElement = 6535,
  HTMLScriptElement = 6552,
  HTMLSelectElement = 6570,
  HTMLSlotElement = 6588,
  HTMLSourceElement = 6604,
  HTMLSpanElement = 6622,
  HTMLStyleElement = 6638,
  HTMLTableCaptionElement = 6655,
  HTMLTableCellElement = 6679,
  HTMLTableColElement = 6700,
  HTMLTableElement = 6720,
  HTMLTableRowElement = 6737,
  HTMLTableSectionElement = 6757,
  HTMLTemplateElement = 6781,
  HTMLTextAreaElement = 6801,
  HTMLTimeElement = 6821,
  HTMLTitleElement = 6837,
  HTMLTrackElement = 6854,
  HTMLUListElement = 6871,
  HTMLUnknownElement = 6888,
  HTMLVideoElement = 6907,
  HashChangeEvent = 6924,
  Headers = 6940,
  Headers_Iterator = 6948,
  HeapSnapshot = 6965,
  Highlight = 6978,
  HighlightRegistry = 6988,
  History = 7006,
  IDBCursor = 7014,
  IDBCursorWithValue = 7024,
  IDBDatabase = 7043,
  IDBFactory = 7055,
  IDBIndex = 7066,
  IDBKeyRange = 7075,
  IDBObjectStore = 7087,
  IDBOpenDBRequest = 7102,
  IDBRequest = 7119,
  IDBTransaction = 7130,
  IDBVersionChangeEvent = 7145,
  IIRFilterNode = 7167,
  IOUtils = 7181,
  IdentityCredential = 7189,
  IdleDeadline = 7208,
  Image = 7221,
  ImageBitmap = 7227,
  ImageBitmapRenderingContext = 7239,
  ImageCapture = 7267,
  ImageCaptureError = 7280,
  ImageCaptureErrorEvent = 7298,
  ImageData = 7321,
  ImageDecoder = 7331,
  ImageDocument = 7344,
  ImageTrack = 7358,
  ImageTrackList = 7369,
  InputEvent = 7384,
  InspectorCSSParser = 7395,
  InspectorFontFace = 7414,
  InspectorUtils = 7432,
  InstallTriggerImpl = 7447,
  IntersectionObserver = 7466,
  IntersectionObserverEntry = 7487,
  IntlUtils = 7513,
  InvokeEvent = 7523,
  JSProcessActorChild = 7535,
  JSProcessActorParent = 7555,
  JSWindowActorChild = 7576,
  JSWindowActorParent = 7595,
  KeyEvent = 7615,
  KeyboardEvent = 7624,
  KeyframeEffect = 7638,
  L10nFileSource = 7653,
  L10nOverlays = 7668,
  L10nRegistry = 7681,
  LargestContentfulPaint = 7694,
  LegacyMozTCPSocket = 7717,
  Localization = 7736,
  Location = 7749,
  Lock = 7758,
  LockManager = 7763,
  MIDIAccess = 7775,
  MIDIConnectionEvent = 7786,
  MIDIInput = 7806,
  MIDIInputMap = 7816,
  MIDIMessageEvent = 7829,
  MIDIOutput = 7846,
  MIDIOutputMap = 7857,
  MIDIPort = 7871,
  MOZ_debug = 7880,
  MatchGlob = 7890,
  MatchPattern = 7900,
  MatchPatternSet = 7913,
  MathMLElement = 7929,
  MediaCapabilities = 7943,
  MediaControlService = 7961,
  MediaController = 7981,
  MediaDeviceInfo = 7997,
  MediaDevices = 8013,
  MediaElementAudioSourceNode = 8026,
  MediaEncryptedEvent = 8054,
  MediaError = 8074,
  MediaKeyError = 8085,
  MediaKeyMessageEvent = 8099,
  MediaKeySession = 8120,
  MediaKeyStatusMap = 8136,
  MediaKeyStatusMap_Iterator = 8154,
  MediaKeySystemAccess = 8181,
  MediaKeys = 8202,
  MediaList = 8212,
  MediaMetadata = 8222,
  MediaQueryList = 8236,
  MediaQueryListEvent = 8251,
  MediaRecorder = 8271,
  MediaRecorderErrorEvent = 8285,
  MediaSession = 8309,
  MediaSource = 8322,
  MediaStream = 8334,
  MediaStreamAudioDestinationNode = 8346,
  MediaStreamAudioSourceNode = 8378,
  MediaStreamError = 8405,
  MediaStreamEvent = 8422,
  MediaStreamTrack = 8439,
  MediaStreamTrackAudioSourceNode = 8456,
  MediaStreamTrackEvent = 8488,
  MerchantValidationEvent = 8510,
  MessageBroadcaster = 8534,
  MessageChannel = 8553,
  MessageEvent = 8568,
  MessageListenerManager = 8581,
  MessagePort = 8604,
  MessageSender = 8616,
  MimeType = 8630,
  MimeTypeArray = 8639,
  MouseEvent = 8653,
  MouseScrollEvent = 8664,
  MozCanvasPrintState = 8681,
  MozDocumentMatcher = 8701,
  MozDocumentObserver = 8720,
  MozQueryInterface = 8740,
  MozSharedMap = 8758,
  MozSharedMap_Iterator = 8771,
  MozSharedMapChangeEvent = 8793,
  MozStorageAsyncStatementParams = 8817,
  MozStorageStatementParams = 8848,
  MozStorageStatementRow = 8874,
  MozWritableSharedMap = 8897,
  MutationEvent = 8918,
  MutationObserver = 8932,
  MutationRecord = 8949,
  NamedNodeMap = 8964,
  NavigateEvent = 8977,
  Navigation = 8991,
  NavigationActivation = 9002,
  NavigationCurrentEntryChangeEvent = 9023,
  NavigationDestination = 9057,
  NavigationHistoryEntry = 9079,
  NavigationPreloadManager = 9102,
  NavigationTransition = 9127,
  Navigator = 9148,
  NetworkInformation = 9158,
  Node = 9177,
  NodeFilter = 9182,
  NodeIterator = 9193,
  NodeList = 9206,
  Notification = 9215,
  NotificationEvent = 9228,
  NotifyPaintEvent = 9246,
  OES_draw_buffers_indexed = 9263,
  OES_element_index_uint = 9288,
  OES_fbo_render_mipmap = 9311,
  OES_standard_derivatives = 9333,
  OES_texture_float = 9358,
  OES_texture_float_linear = 9376,
  OES_texture_half_float = 9401,
  OES_texture_half_float_linear = 9424,
  OES_vertex_array_object = 9454,
  OVR_multiview2 = 9478,
  OfflineAudioCompletionEvent = 9493,
  OfflineAudioContext = 9521,
  OffscreenCanvas = 9541,
  OffscreenCanvasRenderingContext2D = 9557,
  Option = 9591,
  OscillatorNode = 9598,
  PageTransitionEvent = 9613,
  PaintRequest = 9633,
  PaintRequestList = 9646,
  PaintWorkletGlobalScope = 9663,
  PannerNode = 9687,
  ParentProcessMessageManager = 9698,
  Path2D = 9726,
  PathUtils = 9733,
  PaymentAddress = 9743,
  PaymentMethodChangeEvent = 9758,
  PaymentRequest = 9783,
  PaymentRequestUpdateEvent = 9798,
  PaymentResponse = 9824,
  PeerConnectionImpl = 9840,
  PeerConnectionObserver = 9859,
  Performance = 9882,
  PerformanceEntry = 9894,
  PerformanceEntryEvent = 9911,
  PerformanceEventTiming = 9933,
  PerformanceMark = 9956,
  PerformanceMeasure = 9972,
  PerformanceNavigation = 9991,
  PerformanceNavigationTiming = 10013,
  PerformanceObserver = 10041,
  PerformanceObserverEntryList = 10061,
  PerformancePaintTiming = 10090,
  PerformanceResourceTiming = 10113,
  PerformanceServerTiming = 10139,
  PerformanceTiming = 10163,
  PeriodicWave = 10181,
  PermissionStatus = 10194,
  Permissions = 10211,
  PlacesBookmark = 10223,
  PlacesBookmarkAddition = 10238,
  PlacesBookmarkChanged = 10261,
  PlacesBookmarkGuid = 10283,
  PlacesBookmarkKeyword = 10302,
  PlacesBookmarkMoved = 10324,
  PlacesBookmarkRemoved = 10344,
  PlacesBookmarkTags = 10366,
  PlacesBookmarkTime = 10385,
  PlacesBookmarkTitle = 10404,
  PlacesBookmarkUrl = 10424,
  PlacesEvent = 10442,
  PlacesEventCounts = 10454,
  PlacesFavicon = 10472,
  PlacesHistoryCleared = 10486,
  PlacesObservers = 10507,
  PlacesPurgeCaches = 10523,
  PlacesRanking = 10541,
  PlacesVisit = 10555,
  PlacesVisitRemoved = 10567,
  PlacesVisitTitle = 10586,
  PlacesWeakCallbackWrapper = 10603,
  Plugin = 10629,
  PluginArray = 10636,
  PluginCrashedEvent = 10648,
  PointerEvent = 10667,
  PopStateEvent = 10680,
  PopupBlockedEvent = 10694,
  PopupPositionedEvent = 10712,
  PositionStateEvent = 10733,
  PrecompiledScript = 10752,
  PrivateAttribution = 10770,
  ProcessMessageManager = 10789,
  ProcessingInstruction = 10811,
  ProgressEvent = 10833,
  PromiseDebugging = 10847,
  PromiseNativeHandler = 10864,
  PromiseRejectionEvent = 10885,
  PublicKeyCredential = 10907,
  PushEvent = 10927,
  PushManager = 10937,
  PushManagerImpl = 10949,
  PushMessageData = 10965,
  PushSubscription = 10981,
  PushSubscriptionOptions = 10998,
  RTCCertificate = 11022,
  RTCDTMFSender = 11037,
  RTCDTMFToneChangeEvent = 11051,
  RTCDataChannel = 11074,
  RTCDataChannelEvent = 11089,
  RTCDtlsTransport = 11109,
  RTCEncodedAudioFrame = 11126,
  RTCEncodedVideoFrame = 11147,
  RTCIceCandidate = 11168,
  RTCIceTransport = 11184,
  RTCIdentityProviderRegistrar = 11200,
  RTCPeerConnection = 11229,
  RTCPeerConnectionIceEvent = 11247,
  RTCPeerConnectionStatic = 11273,
  RTCRtpReceiver = 11297,
  RTCRtpScriptTransform = 11312,
  RTCRtpScriptTransformer = 11334,
  RTCRtpSender = 11358,
  RTCRtpTransceiver = 11371,
  RTCSctpTransport = 11389,
  RTCSessionDescription = 11406,
  RTCStatsReport = 11428,
  RTCTrackEvent = 11443,
  RTCTransformEvent = 11457,
  RadioNodeList = 11475,
  Range = 11489,
  ReadableByteStreamController = 11495,
  ReadableStream = 11524,
  ReadableStream_AsyncIterator = 11539,
  ReadableStreamBYOBReader = 11568,
  ReadableStreamBYOBRequest = 11593,
  ReadableStreamDefaultController = 11619,
  ReadableStreamDefaultReader = 11651,
  Report = 11679,
  ReportBody = 11686,
  ReportingObserver = 11697,
  Request = 11715,
  ResizeObserver = 11723,
  ResizeObserverEntry = 11738,
  ResizeObserverSize = 11758,
  Response = 11777,
  SVGAElement = 11786,
  SVGAngle = 11798,
  SVGAnimateElement = 11807,
  SVGAnimateMotionElement = 11825,
  SVGAnimateTransformElement = 11849,
  SVGAnimatedAngle = 11876,
  SVGAnimatedBoolean = 11893,
  SVGAnimatedEnumeration = 11912,
  SVGAnimatedInteger = 11935,
  SVGAnimatedLength = 11954,
  SVGAnimatedLengthList = 11972,
  SVGAnimatedNumber = 11994,
  SVGAnimatedNumberList = 12012,
  SVGAnimatedPreserveAspectRatio = 12034,
  SVGAnimatedRect = 12065,
  SVGAnimatedString = 12081,
  SVGAnimatedTransformList = 12099,
  SVGAnimationElement = 12124,
  SVGCircleElement = 12144,
  SVGClipPathElement = 12161,
  SVGComponentTransferFunctionElement = 12180,
  SVGDefsElement = 12216,
  SVGDescElement = 12231,
  SVGElement = 12246,
  SVGEllipseElement = 12257,
  SVGFEBlendElement = 12275,
  SVGFEColorMatrixElement = 12293,
  SVGFEComponentTransferElement = 12317,
  SVGFECompositeElement = 12347,
  SVGFEConvolveMatrixElement = 12369,
  SVGFEDiffuseLightingElement = 12396,
  SVGFEDisplacementMapElement = 12424,
  SVGFEDistantLightElement = 12452,
  SVGFEDropShadowElement = 12477,
  SVGFEFloodElement = 12500,
  SVGFEFuncAElement = 12518,
  SVGFEFuncBElement = 12536,
  SVGFEFuncGElement = 12554,
  SVGFEFuncRElement = 12572,
  SVGFEGaussianBlurElement = 12590,
  SVGFEImageElement = 12615,
  SVGFEMergeElement = 12633,
  SVGFEMergeNodeElement = 12651,
  SVGFEMorphologyElement = 12673,
  SVGFEOffsetElement = 12696,
  SVGFEPointLightElement = 12715,
  SVGFESpecularLightingElement = 12738,
  SVGFESpotLightElement = 12767,
  SVGFETileElement = 12789,
  SVGFETurbulenceElement = 12806,
  SVGFilterElement = 12829,
  SVGForeignObjectElement = 12846,
  SVGGElement = 12870,
  SVGGeometryElement = 12882,
  SVGGradientElement = 12901,
  SVGGraphicsElement = 12920,
  SVGImageElement = 12939,
  SVGLength = 12955,
  SVGLengthList = 12965,
  SVGLineElement = 12979,
  SVGLinearGradientElement = 12994,
  SVGMPathElement = 13019,
  SVGMarkerElement = 13035,
  SVGMaskElement = 13052,
  SVGMatrix = 13067,
  SVGMetadataElement = 13077,
  SVGNumber = 13096,
  SVGNumberList = 13106,
  SVGPathElement = 13120,
  SVGPatternElement = 13135,
  SVGPoint = 13153,
  SVGPointList = 13162,
  SVGPolygonElement = 13175,
  SVGPolylineElement = 13193,
  SVGPreserveAspectRatio = 13212,
  SVGRadialGradientElement = 13235,
  SVGRect = 13260,
  SVGRectElement = 13268,
  SVGSVGElement = 13283,
  SVGScriptElement = 13297,
  SVGSetElement = 13314,
  SVGStopElement = 13328,
  SVGStringList = 13343,
  SVGStyleElement = 13357,
  SVGSwitchElement = 13373,
  SVGSymbolElement = 13390,
  SVGTSpanElement = 13407,
  SVGTextContentElement = 13423,
  SVGTextElement = 13445,
  SVGTextPathElement = 13460,
  SVGTextPositioningElement = 13479,
  SVGTitleElement = 13505,
  SVGTransform = 13521,
  SVGTransformList = 13534,
  SVGUnitTypes = 13551,
  SVGUseElement = 13564,
  SVGViewElement = 13578,
  Sanitizer = 13593,
  Scheduler = 13603,
  Screen = 13613,
  ScreenLuminance = 13620,
  ScreenOrientation = 13636,
  ScriptProcessorNode = 13654,
  ScrollAreaEvent = 13674,
  ScrollViewChangeEvent = 13690,
  SecurityPolicyViolationEvent = 13712,
  Selection = 13741,
  ServiceWorker = 13751,
  ServiceWorkerContainer = 13765,
  ServiceWorkerGlobalScope = 13788,
  ServiceWorkerRegistration = 13813,
  SessionStoreFormData = 13839,
  SessionStoreScrollData = 13860,
  SessionStoreUtils = 13883,
  ShadowRealmGlobalScope = 13901,
  ShadowRoot = 13924,
  SharedWorker = 13935,
  SharedWorkerGlobalScope = 13948,
  SimpleGestureEvent = 13972,
  SourceBuffer = 13991,
  SourceBufferList = 14004,
  SpeechGrammar = 14021,
  SpeechGrammarList = 14035,
  SpeechRecognition = 14053,
  SpeechRecognitionAlternative = 14071,
  SpeechRecognitionError = 14100,
  SpeechRecognitionEvent = 14123,
  SpeechRecognitionResult = 14146,
  SpeechRecognitionResultList = 14170,
  SpeechSynthesis = 14198,
  SpeechSynthesisErrorEvent = 14214,
  SpeechSynthesisEvent = 14240,
  SpeechSynthesisUtterance = 14261,
  SpeechSynthesisVoice = 14286,
  StaticRange = 14307,
  StereoPannerNode = 14319,
  Storage = 14336,
  StorageEvent = 14344,
  StorageManager = 14357,
  StreamFilter = 14372,
  StreamFilterDataEvent = 14385,
  StructuredCloneHolder = 14407,
  StructuredCloneTester = 14429,
  StyleSheet = 14451,
  StyleSheetApplicableStateChangeEvent = 14462,
  StyleSheetList = 14499,
  StyleSheetRemovedEvent = 14514,
  SubmitEvent = 14537,
  SubtleCrypto = 14549,
  SyncMessageSender = 14562,
  SyncReadFile = 14580,
  TCPServerSocket = 14593,
  TCPServerSocketEvent = 14609,
  TCPSocket = 14630,
  TCPSocketErrorEvent = 14640,
  TCPSocketEvent = 14660,
  TaskController = 14675,
  TaskPriorityChangeEvent = 14690,
  TaskSignal = 14714,
  TelemetryStopwatch = 14725,
  TestUtils = 14744,
  TestingDeprecatedInterface = 14754,
  Text = 14781,
  TextClause = 14786,
  TextDecoder = 14797,
  TextDecoderStream = 14809,
  TextEncoder = 14827,
  TextEncoderStream = 14839,
  TextEvent = 14857,
  TextMetrics = 14867,
  TextTrack = 14879,
  TextTrackCue = 14889,
  TextTrackCueList = 14902,
  TextTrackList = 14919,
  TimeEvent = 14933,
  TimeRanges = 14943,
  ToggleEvent = 14954,
  Touch = 14966,
  TouchEvent = 14972,
  TouchList = 14983,
  TrackEvent = 14993,
  TransformStream = 15004,
  TransformStreamDefaultController = 15020,
  TransitionEvent = 15053,
  TreeColumn = 15069,
  TreeColumns = 15080,
  TreeContentView = 15092,
  TreeWalker = 15108,
  TrustedHTML = 15119,
  TrustedScript = 15131,
  TrustedScriptURL = 15145,
  TrustedTypePolicy = 15162,
  TrustedTypePolicyFactory = 15180,
  UDPMessageEvent = 15205,
  UDPSocket = 15221,
  UIEvent = 15231,
  URL = 15239,
  URLSearchParams = 15243,
  URLSearchParams_Iterator = 15259,
  UniFFIPointer = 15284,
  UniFFIScaffolding = 15298,
  UserActivation = 15316,
  UserInteraction = 15331,
  UserProximityEvent = 15347,
  VRDisplay = 15366,
  VRDisplayCapabilities = 15376,
  VRDisplayEvent = 15398,
  VREyeParameters = 15413,
  VRFieldOfView = 15429,
  VRFrameData = 15443,
  VRMockController = 15455,
  VRMockDisplay = 15472,
  VRPose = 15486,
  VRServiceTest = 15493,
  VRStageParameters = 15507,
  VTTCue = 15525,
  VTTRegion = 15532,
  ValidityState = 15542,
  VideoColorSpace = 15556,
  VideoDecoder = 15572,
  VideoEncoder = 15585,
  VideoFrame = 15598,
  VideoPlaybackQuality = 15609,
  VideoTrack = 15630,
  VideoTrackList = 15641,
  ViewTransition = 15656,
  VisualViewport = 15671,
  WEBGL_color_buffer_float = 15686,
  WEBGL_compressed_texture_astc = 15711,
  WEBGL_compressed_texture_etc = 15741,
  WEBGL_compressed_texture_etc1 = 15770,
  WEBGL_compressed_texture_pvrtc = 15800,
  WEBGL_compressed_texture_s3tc = 15831,
  WEBGL_compressed_texture_s3tc_srgb = 15861,
  WEBGL_debug_renderer_info = 15896,
  WEBGL_debug_shaders = 15922,
  WEBGL_depth_texture = 15942,
  WEBGL_draw_buffers = 15962,
  WEBGL_explicit_present = 15981,
  WEBGL_lose_context = 16004,
  WEBGL_provoking_vertex = 16023,
  WakeLock = 16046,
  WakeLockSentinel = 16055,
  WaveShaperNode = 16072,
  WebExtensionContentScript = 16087,
  WebExtensionPolicy = 16113,
  WebGL2RenderingContext = 16132,
  WebGLActiveInfo = 16155,
  WebGLBuffer = 16171,
  WebGLContextEvent = 16183,
  WebGLFramebuffer = 16201,
  WebGLProgram = 16218,
  WebGLQuery = 16231,
  WebGLRenderbuffer = 16242,
  WebGLRenderingContext = 16260,
  WebGLSampler = 16282,
  WebGLShader = 16295,
  WebGLShaderPrecisionFormat = 16307,
  WebGLSync = 16334,
  WebGLTexture = 16344,
  WebGLTransformFeedback = 16357,
  WebGLUniformLocation = 16380,
  WebGLVertexArrayObject = 16401,
  WebKitCSSMatrix = 16424,
  WebSocket = 16440,
  WebTransport = 16450,
  WebTransportBidirectionalStream = 16463,
  WebTransportDatagramDuplexStream = 16495,
  WebTransportError = 16528,
  WebTransportReceiveStream = 16546,
  WebTransportSendStream = 16572,
  WebrtcGlobalInformation = 16595,
  WheelEvent = 16619,
  Window = 16630,
  WindowClient = 16637,
  WindowContext = 16650,
  WindowGlobalChild = 16664,
  WindowGlobalParent = 16682,
  WindowRoot = 16701,
  Worker = 16712,
  WorkerDebuggerGlobalScope = 16719,
  WorkerGlobalScope = 16745,
  WorkerLocation = 16763,
  WorkerNavigator = 16778,
  WorkerTestUtils = 16794,
  Worklet = 16810,
  WorkletGlobalScope = 16818,
  WritableStream = 16837,
  WritableStreamDefaultController = 16852,
  WritableStreamDefaultWriter = 16884,
  XMLDocument = 16912,
  XMLHttpRequest = 16924,
  XMLHttpRequestEventTarget = 16939,
  XMLHttpRequestUpload = 16965,
  XMLSerializer = 16986,
  XPathEvaluator = 17000,
  XPathExpression = 17015,
  XPathResult = 17031,
  XRBoundedReferenceSpace = 17043,
  XRFrame = 17067,
  XRInputSource = 17075,
  XRInputSourceArray = 17089,
  XRInputSourceEvent = 17108,
  XRInputSourcesChangeEvent = 17127,
  XRPose = 17153,
  XRReferenceSpace = 17160,
  XRReferenceSpaceEvent = 17177,
  XRRenderState = 17199,
  XRRigidTransform = 17213,
  XRSession = 17230,
  XRSessionEvent = 17240,
  XRSpace = 17255,
  XRSystem = 17263,
  XRView = 17272,
  XRViewerPose = 17279,
  XRViewport = 17292,
  XRWebGLLayer = 17303,
  XSLTProcessor = 17316,
  XULCommandEvent = 17330,
  XULElement = 17346,
  XULFrameElement = 17357,
  XULMenuElement = 17373,
  XULPopupElement = 17388,
  XULResizerElement = 17404,
  XULTextElement = 17422,
  XULTreeElement = 17437,
  console = 17452,
  webkitSpeechGrammar = 17460,
  webkitSpeechGrammarList = 17480,
  webkitSpeechRecognition = 17504,
  webkitURL = 17528,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
